%{?nodejs_find_provides_and_requires}

Name:           nodejs-optimist
Version:        0.6.1
Release:        1%{?dist}
Summary:        Light-weight option parsing for Node.js
BuildArch:      noarch

Group:          System Environment/Libraries
License:        MIT/X11
URL:            http://github.com/substack/node-optimist
Source0:        http://registry.npmjs.org/optimist/-/optimist-%{version}.tgz

Patch0:		optimist-fix-node-path.patch
# One of the tests assumes that node is "node" and not "/usr/bin/node", so
# this patch defaults to /usr/bin/node, but then spawns a check to 'which'
# just to make sure.

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  nodejs-devel

BuildRequires:  npm(tap)
BuildRequires:  npm(hashish)
BuildRequires:  npm(minimist)

%description
Light-weight option parsing with an argv hash. No optstrings attached.

%prep
%setup -q -n package
%patch0 -p1

%nodejs_fixdep minimist '^1.2.0'

%build
#nothing to do

%install
rm -rf %buildroot
mkdir -p %{buildroot}%{nodejs_sitelib}/optimist
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/optimist

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{_bindir}/tap test/*.js

%clean
rm -rf %buildroot

%files
%{!?_licensedir:%global license %doc}
%defattr(-,root,root,-)
%{nodejs_sitelib}/optimist
%doc readme.markdown example
%license LICENSE

%changelog
* Fri Nov 13 2015 Jared Smith <jsmith@fedoraproject.org> - 0.6.1-1
- Update to upstream 0.6.1 release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.4.0-1
- new upstream release 0.4.0

* Fri Jan 18 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.5-1
- initial package generated by npm2rpm
